
Redmine - Defect #5293

too slow ticket update in new version

2010-04-12 09:22 - Igor Kalashnikov

Status: Closed Start date: 2010-04-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Slowness is come With last commits from unstable svn

It is about 10-20 seconds to add a comment to some issue and I don't know what to do.

What is about cache for db queries? Is it used? I have no files it /tmp/cache :(

Related issues:

Related to Redmine - Defect #5058: reminder mails are not sent when delivery_... Closed 2010-03-12

History

#1 - 2010-04-12 19:15 - Jean-Philippe Lang

You've got to provide some details. Please also try to disable email notifications. There may be something wrong with your SMTP server.

redmine.org uses recent trunk and I did not notice any performance problem on ticket updates.

#2 - 2010-04-13 17:40 - Igor Kalashnikov

- Status changed from New to Resolved

Thank you, it is really cause of our smtp :(

#3 - 2010-04-13 18:30 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.

#4 - 2011-02-24 09:39 - Gauthier Brion

May be I'm too late, but it can help people encountering the same problem.

It is indeed a problem of smtp, but you can fix it in one simple step : sending asynchronously your mails

See http://redmineblog.com/articles/asynchronous-email-delivery/

#5 - 2011-02-24 10:09 - Etienne Massip

- Status changed from Closed to Reopened

#6 - 2011-02-24 10:09 - Etienne Massip

- Category changed from Database to Email notifications

#7 - 2012-04-06 20:58 - Jean-Philippe Lang

- Status changed from Reopened to Closed
